Subject: bug#18195: 24.3.92; window-screen-lines is not accurate

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Aug 2014 18:35:21 +0300

> Date: Thu, 07 Aug 2014 17:08:36 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > I obviously fail to explain to you why this will not work in general.
>  > Never mind.
> 
> If by "in general" you mean that he won't be able to align his overlays
> properly with varying font sizes, prefixes, line warping and the like if
> he continues to use the original text, I obviously agree.

No, I mean that it is generally unreliable to measure the pixel
dimensions of some text in one buffer, then assume that the dimensions
will be the same when displayed as overlay in another buffer.  This is
only true when both buffers use the same single font and the same line
spacing; otherwise, it's simply false.